Name:           python3-lxc
Epoch:          1
Version:        5.0.0
Release:        %mkrel 2
Summary:        Python binding for LXC
License:        LGPLv2+
Group:          Development/Python
URL:            https://linuxcontainers.org/lxc
Source0:        https://linuxcontainers.org/downloads/lxc/%{name}-%{version}.tar.gz
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  pkgconfig(lxc)
BuildRequires:  gcc

%{?python_provide:%python_provide python3-%{name}}

%description
Linux Resource Containers provide process and resource isolation
without the overhead of full virtualization.

The python3-lxc package contains the Python3 binding for LXC.

%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}_lxc\\..*\\.so


%prep
%autosetup


%build
%py3_build


%install
%py3_install

# fix examples
chmod -x examples/*.py
sed -i -e '1 s@^#!.*@#!%{__python3}@' examples/*.py


%check
%{__python3} setup.py test


%files
%license COPYING
%doc README.md examples
%{python3_sitearch}/*


%changelog
* Mon Dec 18 2023 papoteur <papoteur> 1:5.0.0-2.mga10
+ Revision: 2019045
- Mass Rebuild - Python 3.12

* Fri Jan 27 2023 daviddavid <daviddavid> 1:5.0.0-1.mga9
+ Revision: 1936358
- new version: 5.0.0

* Fri Apr 01 2022 umeabot <umeabot> 1:3.0.4-4.mga9
+ Revision: 1838193
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1:3.0.4-3.mga9
+ Revision: 1778553
- Rebuild for python-3.10

* Sat Mar 20 2021 daviddavid <daviddavid> 1:3.0.4-2.mga9
+ Revision: 1705351
- rebuild for python 3.9

* Thu Mar 11 2021 daviddavid <daviddavid> 1:3.0.4-1.mga9
+ Revision: 1701310
- initial package python3-lxc

